W(3) = log((5.E-1_QP*l**2*u1*(u1+g))/(l*u1+2.E+0_QP))
W(7) = log((u1**3*(u1+g)*(l*u2+2.E+0_QP))/((l*u1+2.E+0_QP)&
	&*u2**3*(u2+g+1.E+0_QP)))
W(8) = log((2.E+0_QP*(l*u2+2.E+0_QP))/(l**2*u2*(u2+g+1.E+0_QP)&
	&))
W(9) = log((u1*(u1+g)*(l*u2+2.E+0_QP))/((l*u1+2.E+0_QP)&
	&*u2*(u2+g+1.E+0_QP)))
W(21) = log(((l*u1+2.E+0_QP)*u2*(u2+g+1.E+0_QP))/(u1*(u1&
	&+g)*(l*u2+2.E+0_QP)))
W(22) = log((u1*(l*u1+2.E+0_QP)*(u2+g+1.E+0_QP))/((u1+g)&
	&*u2*(l*u2+2.E+0_QP)))


RES(0) = W(8)*g+W(3)*g+W(8)
IF (M== 0 ) RETURN 

RES(1) = 7.499999999999999E-1_QP*(2.E+0_QP*W(22)*g*&
	&*2+2.E+0_QP*W(7)*g**2+2.E+0_QP*W(22)*g+2.E+0_QP*W(7)*g+4.E+0_QP&
	&*g+W(22)+2.E+0_QP)
IF (M== 1 ) RETURN 

RES(2) = 8.333333333333334E-1_QP*(W(9)*1.2E+1_QP*g*&
	&*3+W(9)*1.8E+1_QP*g**2+1.2E+1_QP*g**2+1.2E+1_QP*g+6.E+0_QP*W(9)*g+1.E+0_QP&
	&)
IF (M== 2 ) RETURN 

RES(3) = -5.833333333333333E-1_QP*(W(21)*6.E+1_QP*g*&
	&*4+W(21)*1.2E+2_QP*g**3-6.E+1_QP*g**3-9.E+1_QP*g**2+W(21)*7.2E+1_QP&
	&*g**2-3.2E+1_QP*g+1.2E+1_QP*W(21)*g-1.E+0_QP)
IF (M== 3 ) RETURN 
